Bug 807804 - Hidden user can be added to a role.
Hidden user can be added to a role.
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Garik Khachikyan
: Triaged
: 811262 (view as bug list)
Depends On:
Blocks: 827550
  Show dependency treegraph
 
Reported: 2012-03-28 14:50 EDT by Justin Sherrill
Modified: 2015-01-04 16:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A hidden user used for pulp interactions unintentionally appeared on the Roles page. This fix removes the user.
Story Points: ---
Clone Of:
: 827550 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-03-28 14:50:01 EDT
Description of problem:

The hidden user we sometimes use to talk to pulp with is being shown on the role edit page, meaning you can add roles to this hidden user.  It really does not present a security risk, as this user cannot login and his password is randomized.  



1.  Go to roles, 
2.  Click on a role
3.  go to users
4.  see the hidden user there.


Trivial to fix, simply change User.all.each in breadcrumb helper to User.readable.each.
Comment 1 Justin Sherrill 2012-03-28 14:53:43 EDT
katello master:

d42fb19c341765cc48974371c4c6dce22147a71a
Comment 2 Lukas Zapletal 2012-03-29 07:43:58 EDT
kk user_role list
-----------------------------------------------------------------------------------------------
                                        User Role List

 Id   Name             
-----------------------------------------------------------------------------------------------
 1    Administrator    
 2    Read Everything  


CLI looks fine to me.
Comment 3 Justin Sherrill 2012-04-17 12:50:30 EDT
*** Bug 811262 has been marked as a duplicate of this bug. ***
Comment 7 Garik Khachikyan 2012-09-18 07:53:42 EDT
# VERIFIED

fixed. the hidden user disappeared from the list of the users (for the role).

checked on:
---
python-qpid-0.7.946106-1.el6.noarch
candlepin-cert-consumer-brno-cfse.usersys.redhat.com-1.0-1.noarch
qpid-cpp-client-0.14-16.el6.x86_64
candlepin-0.7.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
qpid-cpp-server-ssl-0.14-16.el6.x86_64
katello-candlepin-cert-key-pair-1.0-1.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
python-isodate-0.4.4-4.pulp.el6.noarch
katello-cli-common-1.1.8-1.git.2.a0908e7.el6.noarch
katello-cli-1.1.8-1.git.2.a0908e7.el6.noarch
qpid-cpp-client-ssl-0.14-16.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.1.12-1.el6cf.noarch
pulp-selinux-server-1.1.12-1.el6cf.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
candlepin-selinux-0.7.8-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-repos-1.1.2-1.el6.noarch
katello-agent-1.1.2-1.el6.noarch
katello-configure-1.1.9-3.el6cf.noarch
qpid-cpp-server-0.14-16.el6.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
---
Comment 9 errata-xmlrpc 2012-12-04 14:44:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.